<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Veranstalter\LeiterMitarbeiterAndererVeranstalter\DozentenUebersicht\DozentenUebersichtFilter;

class DozentenUebersichtFilterView extends \Kufer\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'veranstalter/leiter_mitarbeiter_anderer_veranstalter/filter_dozentenuebersicht.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    $dm = new \Datamodul();
    foreach (get_object_vars($this->viewModel) as $key => $value) {
      $dm->{$key} = $value;
    }

    return array($dm);
  }
}

class DozentenUebersichtFilterViewModel
{
  public $kategorieOptionen;
  public $sonderKategorieOptionen;
  public $aussenstellenOptionen;
  public $kursOrteOptionen;
  public $fachbereicheOptionen;
  public $bezirkOptionen;
  public $branchenOptionen;
  public $gemeindeOptionen;

  public $stichworte;
  public $kurstitel;
  public $kategorie;
  public $sonderKategorie;
  public $knrVon;
  public $knrBis;
  public $kursbeginnVon;
  public $kursbeginnBis;
  public $aussenstelle;
  public $kursort;
  public $fachbereich;
  public $wochentageNichtAngehakt;
  public $dozent;
  public $kurs_stichwort;

  public $krit1;
  public $krit2;
  public $krit3;
  public $krit4;
  public $krit5;
  public $krit6;
  public $krit7;
  public $krit8;
  public $krit9;
  public $krit10;
  public $krit11;
  public $krit12;
  public $krit13;
  public $krit14;
  public $krit15;
  public $krit16;

  public $krit1hinterlegung = array();
  public $krit2hinterlegung = array();
  public $krit3hinterlegung = array();
  public $krit4hinterlegung = array();
  public $krit5hinterlegung = array();
  public $krit6hinterlegung = array();
  public $krit7hinterlegung = array();
  public $krit8hinterlegung = array();
  public $krit9hinterlegung = array();
  public $krit10hinterlegung = array();
  public $krit11hinterlegung = array();
  public $krit12hinterlegung = array();
  public $krit13hinterlegung = array();
  public $krit14hinterlegung = array();
  public $krit15hinterlegung = array();
  public $krit16hinterlegung = array();

  public $gemeinde;
  public $stadtteil;
  public $bezirk;
  public $bundesland;

  public $kennzeichen_name;
  public $branchen_name;

  public $veranstalter_namevorname;
  public $veranstalter_stadtteil;
  public $veranstalter_bundesland;
  public $veranstalter_bezirk;
  public $veranstalter_gemeinde;
}